设为首页 加入收藏

TOP

macos版本mojave 安装postgres报错
2019-08-24 00:07:46 】 浏览:21
Tags:macos 版本 mojave 安装 postgres 报错

mac os 版本mojave 安装postgres报错

  • 事由:前几天升级mac到mojave版本也就是10.14系统,发现对于很多原系统的软件包都不兼容,安装时出现报错。

  • 报错: pthread.h not found; use --disable-thread-safety to disable thread safety

现在分享下我安装psql时遇到的一些问题,报错截图,以及解决方案,供大家参考。

我是从官网直接拉的源码包地址:
postgres sql-10.4

命令如下
wget https://ftp.postgresql.org/pub/source/v10.4/postgresql-10.4.tar.gz

tar -zxvf postgresql-10.4.tar.gz

cd postgresql-10.4 ./configure make sudo make install

在编译时出现报错,于是我就各种brew安装,发现并不解决问题,于是仔细在官网查找原因,发现版本不支持当前系统。
如下图所示

于是我按照官网下载了11.1版本的psql包,下载安装成功,问题解决。

分享11版本的psql链接:
postgresql-11.1-osx.dmg 官网下载链接


macos版本mojave 安装postgres报错 https://www.cppentry.com/bencandy.php?fid=104&id=230623

】【打印繁体】【投稿】【收藏】 【推荐】【举报】【评论】 【关闭】 【返回顶部
上一篇【Len's DMG】macOS Mojave 1.. 下一篇VMWare 14.1 15 Pro 安装 macOS M..